Inhalte

# VBA-Funktion ChrW

Gibt das zum angegebenen Zeichencode gehörige Unicode-Zeichen zurück.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    ChrW(charcode As Integer) As String

### Rückgabewert:

Zeichenfolge

### Parameter:

charcode: Numerischer Ausdruck, der einen gültigen 16-Bit-Unicode-Wert darstellt (0-65535). (Um Ausdrücke mit einem nominell negativen Argument wie ChrW(&H8000) rückwärtskompatibel zu unterstützen, werden Werte im Bereich von −32768 bis −1 intern auf den Bereich von 32768 bis 65535 abgebildet.) Ein Leerzeichen gibt Fehlercode 5 zurück. Ein Wert außerhalb des Bereichs [0 bis 65535] gibt Fehlercode 6 zurück.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

6 Überlauf

### Beispiel:

    Sub ExampleChrW
        ' Dieses Beispiel fügt die griechischen Buchstaben Alpha und Omega in eine Zeichenfolge ein.
        MsgBox "Von " + ChrW(913) + " bis " + ChrW(937)
        ' Bei der Ausgabe erscheint im Dialog: Von Α bis Ω
        MsgBox ChrW(Zeichencode := 116) ' "t" kleiner Buchstabe T
    End Sub

Verwandte Themen

BASIC-Funktion Asc

VBA-Funktion AscW

Funktion Chr